# Config file to increase log output of ZAP. Useful for debugging.
#
# To use this log config, provide the following paramter to the 'docker run' command when starting ZAP:
#		-v $(pwd)/config/zap-log4j.properties:/root/.ZAP_D/log4j.properties
#
# The directory /root/.ZAP_D is ZAP's home directory. Depending on the ZAP image that is used, 
# this directory needs to be changed. See https://github.com/zaproxy/zaproxy/wiki/FAQlogging
#
# To access the log file execute:
#		docker exec <container name or id> cat '/root/.ZAP_D/zap.log'
#
log4j.rootLogger=DEBUG, R


log4j.appender.R=org.apache.log4j.RollingFileAppender
#to move to dynamically user log file.  See Constant.java
# ZAP: rebrand
log4j.appender.R.File=${zap.user.log}/zap.log

log4j.appender.R.MaxFileSize=1024MB
# Keep one backup file
log4j.appender.R.MaxBackupIndex=3

log4j.appender.R.layout=org.apache.log4j.PatternLayout
log4j.appender.R.layout.ConversionPattern=%d [%-5t] %-5p %c{1} - %m%n

log4j.logger.org.parosproxy.paros=DEBUG
log4j.logger.org.zaproxy.zap=DEBUG
log4j.logger.org.apache.commons.httpclient=debug
log4j.logger.net.htmlparser.jericho=debug

# Prevent Crawljax from logging too many, not so useful, INFO messages.
# For example:
# INFO  Crawler - New DOM is a new state! crawl depth is now 10
# INFO  Crawler - Crawl depth is now 1
# INFO  Crawler - Crawl depth is now 2
# INFO  UnfiredCandidateActions - There are 64 states with unfired actions
# INFO  StateMachine - State state106 added to the StateMachine.
log4j.logger.com.crawljax.core.Crawler = DEBUG
log4j.logger.com.crawljax.core.state.StateMachine = DEBUG
log4j.logger.com.crawljax.core.UnfiredCandidateActions = DEBUG
